summaryrefslogtreecommitdiffstats
path: root/win/tools/collect_tdelibs_pro_files
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-11-16 16:06:07 -0600
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-11-16 16:06:07 -0600
commitb63b93fb56b967427b1e3ac1b8adb6d16c7d245f (patch)
tree4a3e013842336b7511f911586b23e45fadfdc9dd /win/tools/collect_tdelibs_pro_files
parent0722ee612ec7e4364c7c604bdec429c35c3e0048 (diff)
downloadtdelibs-b63b93fb56b967427b1e3ac1b8adb6d16c7d245f.tar.gz
tdelibs-b63b93fb56b967427b1e3ac1b8adb6d16c7d245f.zip
Finish rename from prior commit
Diffstat (limited to 'win/tools/collect_tdelibs_pro_files')
-rwxr-xr-xwin/tools/collect_tdelibs_pro_files22
1 files changed, 22 insertions, 0 deletions
diff --git a/win/tools/collect_tdelibs_pro_files b/win/tools/collect_tdelibs_pro_files
new file mode 100755
index 000000000..3925f675e
--- /dev/null
+++ b/win/tools/collect_tdelibs_pro_files
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# Copies all used .pro (and a few shell) files tdelibs/ to tdelibs/win/pro_files/
+# what makes it easier to commit that to KDE CVS
+# (c) 2005, Jaroslaw Staniek
+
+dest=win/pro_files
+mkdir -p $dest
+
+.check_kde_env || exit 1
+
+cd "$KDELIBS"
+
+for pro in `find . -name \*.pro | grep -v "\/\.\|^\.\/win/"` kded/makeall.sh kded/makeall_rel.sh ; do
+ dir=`dirname "$pro"`
+ mkdir -p "$dest/$dir"
+ if [ "$pro" -nt "$dest/$pro" ] ; then
+ cp -p "$pro" "$dest/$pro"
+ echo "$pro"
+ fi
+done
+